Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.formula.functions
Interface Function

All Known Subinterfaces:
  Function0Arg, Function1Arg, Function2Arg, Function3Arg, Function4Arg

All Known Implementing Classes:
  Address, AggregateFunction, BooleanFunction, CalendarFieldFunction, Choose, Column, Columns, ConcatEval, Count, Counta, Countblank, Countif, DateFunc, Days360, Errortype, Even, FinanceFunction, Fixed0ArgFunction, Fixed1ArgFunction, Fixed2ArgFunction, Fixed3ArgFunction, Fixed4ArgFunction, Hlookup, Hyperlink, IfFunc, Index, IntersectionEval, Irr, LogicalFunction, Lookup, Match, MinaMaxa, Mode, MultiOperandNumericFunction, Na, NotImplementedFunction, Now, Npv, NumericFunction, NumericFunction.OneArg, NumericFunction.TwoArg, Odd, Offset, PercentEval, RangeEval, Rank, Rate, RelationalOperationEval, Replace, RowFunc, Rows, Substitute, Subtotal, Sumif, Sumproduct, Sumx2my2, Sumx2py2, Sumxmy2, T, TextFunction, TimeFunc, Today, TwoOperandNumericOperation, UnaryMinusEval, UnaryPlusEval, Value, Vlookup, XYNumericFunction

    public interface Function

Common interface for all implementations of Excel built-in functions.

Author:
  Amol S. Deshmukh < amolweb at ya hoo dot com >

Method Summary
`ValueEval` | `evaluate(ValueEval[] args, int srcRowIndex, int srcColumnIndex)`

Method Detail

### evaluate

    ValueEval evaluate(ValueEval[] args,
                       int srcRowIndex,
                       int srcColumnIndex)

  Parameters:
    `args` - the evaluated function arguments. Empty values are represented with `BlankEval` or `MissingArgEval`, never `null`.
    `srcRowIndex` - row index of the cell containing the formula under evaluation
    `srcColumnIndex` - column index of the cell containing the formula under evaluation
  Returns:
    The evaluated result, possibly an `ErrorEval`, never `null`. Note - Excel uses the error code #NUM! instead of IEEE NaN, so when numeric functions evaluate to `Double.NaN` be sure to translate the result to `ErrorEval.NUM_ERROR`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD